#ifndef DETECTSIGNCPU_H_
#define DETECTSIGNCPU_H_

#include <opencv2/opencv.hpp>
#include <vector>
#include <stdio.h>

#include "detectSign.h"
#include "customSVM.h"

class detectSignCpu: public detectSign {
private:
    cv::CascadeClassifier cascade;

    cv::HOGDescriptor hog;
    cv::HOGDescriptor svmHog;
	customSVM svm;

    void getHog(const cv::Mat rect, std::vector<float> &feature);
public:

	int loadViola(std::string xmlFile);
	std::vector<cv::Rect> detectViola(cv::Mat image);

	int loadSVM(std::string datFile);
	bool detectSVM(cv::Mat image);
	bool detectHogSVM(cv::Mat image);
};

#endif /* DETECTSINGCPU_H_ */
