#ifndef DETECTSIGNGPU_H_
#define DETECTSIGNGPU_H_

#include <opencv2/opencv.hpp>
#include <opencv2/gpu/gpu.hpp>
#include <vector>
#include <stdio.h>

#include "detectSign.h"
#include "customSVM.h"

class detectSignGpu: public detectSign {
private:
    cv::gpu::CascadeClassifier_GPU cascade;

    cv::gpu::HOGDescriptor hog;
    cv::gpu::HOGDescriptor svmHog;
	customSVM svm;

    void getHog(const cv::Mat rect, std::vector<float> &feature);
public:

	int loadViola(std::string xmlFile);
	std::vector<cv::Rect> detectViola(cv::Mat image);

	int loadSVM(std::string datFile);
	bool detectSVM(cv::Mat image);
	bool detectHogSVM(cv::Mat image);

};

#endif /* DETECTSIGNGPU_H_ */
