#ifndef RSDGUI_H_
#define RSDGUI_H_

#include "opencv2/core/core.hpp"
#include "opencv2/imgproc/imgproc.hpp"
#include "opencv2/highgui/highgui.hpp"

#include <iostream>
#include <string>

class RsdGui{
private:
	cv::Mat m_canvas;

	cv::Mat m_mainImage;

	cv::Mat m_sign0Image;
	cv::Mat m_sign1Image;
	cv::Mat m_sign2Image;
	cv::Mat m_sign3Image;

	cv::Mat m_sign0ImageG;
	cv::Mat m_sign1ImageG;
	cv::Mat m_sign2ImageG;
	cv::Mat m_sign3ImageG;


	std::string performanceTextC;
	std::string performanceTextG;
public:   
	RsdGui();
	~RsdGui();

	void drawCanvas();

	void setMainImage(cv::Mat mainImage);
	void setSignImageC(cv::Mat signImage);
	void setSignImageG(cv::Mat signImage);

	void cleanSmall();

	void setInfoTextC(std::string text);
	void setInfoTextG(std::string text);
};

#endif //RSDGUI_H_
