#!/bin/bash

echo
echo "**************************************************"
echo "               OpenCV SVM Generating             "
echo "**************************************************"
echo
echo "**************************************************"
echo "                    Cleaning                      "
echo "**************************************************" 
echo

rm positive.txt
rm positives.txt
rm positivem.txt
rm positived.txt

rm negative.txt
rm negatives.txt
rm negatived.txt
rm negativem.txt

echo
echo "**************************************************"
echo "            Creating Negative file...             "
echo "**************************************************"
echo

find ./negative -name *.jpg > negative.txt
find ./negative_detected -name *.jpg > negatived.txt

echo
echo "**************************************************"
echo "            Creating Positive file...             "
echo "**************************************************"
echo

find  ./positive_generated/0 -name *.jpg >> positive.txt
find  ./positive_generated/1 -name *.jpg >> positive.txt
find  ./positive_generated/2 -name *.jpg >> positive.txt
find  ./positive_generated/3 -name *.jpg >> positive.txt
find  ./positive_generated/4 -name *.jpg >> positive.txt
find  ./positive_detected -name *.jpg >> positived.txt

echo
echo "**************************************************"
echo "        Shuffle Items in Positive File            "
echo "**************************************************" 
echo

# Shuffle code by ghostdog74: http://stackoverflow.com/questions/2153882/how-can-i-shuffle-the-lines-of-a-text-file-in-unix-command-line
awk 'BEGIN{srand() }
{ lines[++d]=$0 }
END{
    while (1){
    if (e==d) {break}
        RANDOM = int(1 + rand() * d)
        if ( RANDOM in lines  ){
            print lines[RANDOM]
            delete lines[RANDOM]
            ++e
        }
    }
}' positive.txt > positivem.txt


echo
echo "**************************************************"
echo "        Shuffle Items in Negative File            "
echo "**************************************************" 
echo

# Shuffle code by ghostdog74: http://stackoverflow.com/questions/2153882/how-can-i-shuffle-the-lines-of-a-text-file-in-unix-command-line
awk 'BEGIN{srand() }
{ lines[++d]=$0 }
END{
    while (1){
    if (e==d) {break}
        RANDOM = int(1 + rand() * d)
        if ( RANDOM in lines  ){
            print lines[RANDOM]
            delete lines[RANDOM]
            ++e
        }
    }
}' negative.txt > negativem.txt


echo
echo "**************************************************"
echo "             Complete negative file               "
echo "**************************************************" 
echo

#cat negatived.txt >> negatives.txt
cat negativem.txt >> negatives.txt

#cat positived.txt >> positives.txt
cat positivem.txt >> positives.txt

echo
echo "**************************************************"
echo "                    Cleaning                      "
echo "**************************************************" 
echo

rm positive.txt
rm positivem.txt
rm positived.txt

rm negative.txt
rm negatived.txt
rm negativem.txt

echo
echo "**************************************************"
echo "                Generating Done                   "
echo "**************************************************"
echo 
