#!/bin/bash

echo
echo "**************************************************"
echo "               OpenCV HAAR Trainign               "
echo "**************************************************"
echo
echo "**************************************************"
echo "                Training Cascade...               "
echo "**************************************************"
echo

#! Train Cascade GPU
opencv_traincascade -data classifier -vec positive.vec -bg negative.txt -baseFormatSave -precalcValBufSize 2048 -precalcIdxBufSize 2048 -numPos 600 -numNeg 2000 -numStages 16 -featureType HAAR -w 48 -h 48 
#!-mode ALL

echo
echo "**************************************************"
echo "               Fixing XML file...                 "
echo "**************************************************"
echo

#! Fix OpenCV 2.4 Bug for old xml file format (CPU + GPU)
sed -i 's/<cascade/<cascade type_id="opencv-haar-classifier"/g' ./classifier/cascade.xml

echo
echo "**************************************************"
echo "                      Done                        "
echo "**************************************************"
echo 
